Index: code/branches/ois_update/data/gui/scripts/AudioMenu.lua
===================================================================
--- code/branches/ois_update/data/gui/scripts/AudioMenu.lua	(revision 7719)
+++ code/branches/ois_update/data/gui/scripts/AudioMenu.lua	(revision 7767)
@@ -32,4 +32,6 @@
     table.insert(themeList, "Default")
     table.insert(themeList, "Drum n' Bass")
+    table.insert(themeList, "8-Bit Style")
+    table.insert(themeList, "Corny Jazz")
     for k,v in pairs(themeList) do
         item = CEGUI.createListboxTextItem(v)
@@ -39,4 +41,8 @@
     if orxonox.getConfig("MoodManager", "mood_") == "dnb" then
         listboxwindow:setItemSelectState(1,true)
+    elseif orxonox.getConfig("MoodManager", "mood_") == "eightbit" then
+        listboxwindow:setItemSelectState(2,true)
+    elseif orxonox.getConfig("MoodManager", "mood_") == "jazzy" then
+        listboxwindow:setItemSelectState(3,true)
     else
         listboxwindow:setItemSelectState(0,true)
@@ -163,4 +169,8 @@
     if listboxwindow:isItemSelected(1) then
         orxonox.config("MoodManager", "mood_", "dnb")
+    elseif listboxwindow:isItemSelected(2) then
+        orxonox.config("MoodManager", "mood_", "eightbit")
+    elseif listboxwindow:isItemSelected(3) then
+        orxonox.config("MoodManager", "mood_", "jazzy")
     else
         orxonox.config("MoodManager", "mood_", "default")
Index: code/branches/ois_update/src/external/ois/mac/MacKeyboard.cpp
===================================================================
--- code/branches/ois_update/src/external/ois/mac/MacKeyboard.cpp	(revision 7719)
+++ code/branches/ois_update/src/external/ois/mac/MacKeyboard.cpp	(revision 7767)
@@ -199,17 +199,9 @@
 	char macChar;
 	
-	// @TODO clean this up
 	if (mTextMode == Unicode)
 	{
 		//get string size
 		UInt32 stringsize;
-		//status = GetEventParameter( theEvent, 'kuni', typeUnicodeText, NULL, 0, &stringsize, NULL);
-		//status = GetEventParameter( theEvent, 'kuni', typeUnicodeText, NULL, sizeof(UniChar)*10, NULL, &text );
 		status = GetEventParameter( theEvent, 'kuni', typeUnicodeText, NULL, sizeof(UniChar) * 10, &stringsize, &text );
-		std::cout << "OIS: MacKeyboard::_keyDownCallback(): String length: " << stringsize << std::endl;
-		
-		//wstring unitext;
-		//for (int i=0;i<10;i++) unitext += (wchar_t)text[i];
-		//wcout << "Unicode out: " << unitext << endl;
 		
 		if(stringsize > 0)
Index: code/branches/ois_update/src/libraries/core/GUIManager.cc
===================================================================
--- code/branches/ois_update/src/libraries/core/GUIManager.cc	(revision 7719)
+++ code/branches/ois_update/src/libraries/core/GUIManager.cc	(revision 7767)
@@ -345,4 +345,5 @@
     void GUIManager::buttonPressed(MouseButtonCode::ByEnum id)
     {
+        //guiSystem_->injectMouseButtonDown(convertButton(id));
         this->protectedCall(boost::bind(&CEGUI::System::injectMouseButtonDown, _1, convertButton(id)));
     }
Index: code/branches/ois_update/src/orxonox/MoodManager.cc
===================================================================
--- code/branches/ois_update/src/orxonox/MoodManager.cc	(revision 7719)
+++ code/branches/ois_update/src/orxonox/MoodManager.cc	(revision 7767)
@@ -50,10 +50,13 @@
 
         // Checking for the existence of the folder for the default mood
-        const std::string& path = "ambient/" + MoodManager::defaultMood_ + "/.";
-        if (!Resource::exists(path))
+        const std::string& patha = "ambient/" + MoodManager::defaultMood_ + "/.";
+        if (!Resource::exists(patha))
         {
             // TODO: Non-fatal error handling (non-critical resource missing)
             COUT(2) << "Mood Warning: Folder for default mood (" << MoodManager::defaultMood_ << ") does not exist!" << std::endl;
         }
+        
+        // @TODO
+        // Creating a vector of the available moods to enable easy mood selection by Lua/CEGUI        
     }
 
Index: code/branches/ois_update/src/orxonox/sound/AmbientSound.cc
===================================================================
--- code/branches/ois_update/src/orxonox/sound/AmbientSound.cc	(revision 7719)
+++ code/branches/ois_update/src/orxonox/sound/AmbientSound.cc	(revision 7767)
@@ -48,5 +48,5 @@
 
         // Ambient sounds always fade in
-        this->setVolume(0);
+        this->setVolume(0.0f);
         this->registerVariables();
     }
Index: code/branches/ois_update/src/orxonox/sound/SoundManager.cc
===================================================================
--- code/branches/ois_update/src/orxonox/sound/SoundManager.cc	(revision 7719)
+++ code/branches/ois_update/src/orxonox/sound/SoundManager.cc	(revision 7767)
@@ -83,6 +83,5 @@
         SetConfigValue(bDisableSound_, false);
         if (bDisableSound_)
-            ThrowException(InitialisationAborted, "Sound: Not loading at all");
-
+            ThrowException(InitialisationAborted, "Sound: Not loading at all");        
         if (!alutInitWithoutContext(NULL, NULL))
             ThrowException(InitialisationFailed, "Sound Error: ALUT initialisation failed: " << alutGetErrorString(alutGetError()));
@@ -132,8 +131,8 @@
         GameMode::setPlaysSound(true);
         Loki::ScopeGuard resetPlaysSoundGuard = Loki::MakeGuard(&GameMode::setPlaysSound, false);
-
+        
         // Get some information about the sound
         if (const char* version = alGetString(AL_VERSION))
-            COUT(4) << "Sound: --- OpenAL Version: " << version << std::endl;
+            COUT(4) << "Sound: --- OpenAL Version: " << version << std::endl;            
         if (const char* vendor = alGetString(AL_VENDOR))
             COUT(4) << "Sound: --- OpenAL Vendor : " << vendor << std::endl;
